Bug 2823 - [UPDATE REQUEST] Mesa stack: mesa 9.0.1 -> 9.2.1, llvm 3.1 -> 3.3, wayland 1.0.0 -> 1.3.0
: [UPDATE REQUEST] Mesa stack: mesa 9.0.1 -> 9.2.1, llvm 3.1 -> 3.3, wayland 1....
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Highest major
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 14:28 MSD by Andrey Bondrov
Modified: 2013-10-18 10:52 MSD (History)
4 users (show)

See Also:
RPM Package: mesa, llvm, wayland
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
gamescreen (277.70 KB, image/png)
2013-10-16 18:01 MSD, Vladimir Potapov
Details
dota too (253.52 KB, image/png)
2013-10-16 18:53 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-10-11 14:28:40 MSD
Mesa stack update:
mesa 9.0.1 -> 9.2.1
llvm 3.1 -> 3.3
wayland 1.0.0 -> 1.3.0
Comment 1 Andrey Bondrov 2013-10-11 14:35:37 MSD
Mesa:

Advisory: "New version 9.2.1. It fixes many bugs and improves OpenGL support."

https://abf.rosalinux.ru/build_lists/1343868
https://abf.rosalinux.ru/build_lists/1343878

LLVM:

Advisory: "New version 3.3."

https://abf.rosalinux.ru/build_lists/1341928
https://abf.rosalinux.ru/build_lists/1341929

Wayland:

Advisory: "New version 1.3.0."

https://abf.rosalinux.ru/build_lists/1341355
https://abf.rosalinux.ru/build_lists/1341356

New Mesa requires both new LLVM and Wayland, so make sure to add all containers.
Comment 2 Andrey Bondrov 2013-10-12 19:59:06 MSD
Meanwhile I tested new mesa stack with Radeon HD 2600 XT card. Seems to work well.

Still we need extended testing to be sure everything is really fine.
Comment 3 Alexander Burmashev 2013-10-14 11:03:41 MSD
just a small positive report from me - spent all weekend on gtx 670 and new mesa stack without any problems.
Comment 4 Postnikov Dmitry 2013-10-16 11:02:15 MSD
***************************
Extended testing report
***************************

1. Tested on 5 computers with video cards: HD4200(radeon), X2100(radeon), Intel4000 (2 comp.), GT9600 (nouveau), GT9600(nvidia325), HD7700(radeon), HD7700(fgrlx13.8).
2. All test program from mesa-demos work fine.
3. Game from repo Exttremetuxracer and Supertuxcert - play fine
4. Game in Steam: Loast Coast, Half-Life 2, Killing Floor - play fine
5. No one nothing fell off and not be hung.
6. We tested in KDE 32/64, Gnome 32/64, but Gnome not work with fgrlx driver, this in Gnome tested only at the free drivers radeon.
7. We tested also on kernel 3.10.15
Comment 5 Andrey Bondrov 2013-10-16 14:28:45 MSD
Good, I guess we can publish new mesa stack then.
Comment 6 Vladimir Potapov 2013-10-16 18:01:53 MSD
Created attachment 2061 [details]
gamescreen

I have some problem in hl2 with new mesa on my hd3000...
Comment 7 Postnikov Dmitry 2013-10-16 18:15:02 MSD
(In reply to comment #6)
> Created attachment 2061 [details]
> gamescreen
> 
> I have some problem in hl2 with new mesa on my hd3000...

We play on Steem in Half-Life 2 with GT9600. Your attach - Half-Life 2:Episode One.
Comment 8 Andrey Bondrov 2013-10-16 18:51:47 MSD
(In reply to comment #6)
> Created attachment 2061 [details]
> gamescreen
> 
> I have some problem in hl2 with new mesa on my hd3000...

Are you sure it's a regression? In fact, I'd rather be surprised if HL2 worked fine with Intel video...
Comment 9 Vladimir Potapov 2013-10-16 18:53:29 MSD
Created attachment 2062 [details]
dota too
Comment 10 Vladimir Potapov 2013-10-16 18:56:37 MSD
(In reply to comment #8)
> (In reply to comment #6)
> > Created attachment 2061 [details]
> > gamescreen
> > 
> > I have some problem in hl2 with new mesa on my hd3000...
> 
> Are you sure it's a regression? In fact, I'd rather be surprised if HL2
> worked fine with Intel video...

I play hl2 on intel in august 2013... but I re-install system (with saved /home) after this. I investigate this case.
Comment 11 Andrey Bondrov 2013-10-16 19:06:59 MSD
(In reply to comment #10)
> I play hl2 on intel in august 2013... but I re-install system (with saved
> /home) after this. I investigate this case.

Can you please also try other kernels, especially 3.11.4 (see http://forum.rosalab.ru/en/viewtopic.php?p=7323#p7323 )?
Comment 12 Vladimir Potapov 2013-10-16 19:10:12 MSD
(In reply to comment #11)
> (In reply to comment #10)
> > I play hl2 on intel in august 2013... but I re-install system (with saved
> > /home) after this. I investigate this case.
> 
> Can you please also try other kernels, especially 3.11.4 (see
> http://forum.rosalab.ru/en/viewtopic.php?p=7323#p7323 )?
MMM... you test dota2? 
"red screen" issue is texture compression library for Mesa bug 
http://www.teamliquid.net/blogs/viewblog.php?topic_id=406196
Comment 13 Andrey Bondrov 2013-10-16 19:19:28 MSD
(In reply to comment #12)
> (In reply to comment #11)
> > (In reply to comment #10)
> > > I play hl2 on intel in august 2013... but I re-install system (with saved
> > > /home) after this. I investigate this case.
> > 
> > Can you please also try other kernels, especially 3.11.4 (see
> > http://forum.rosalab.ru/en/viewtopic.php?p=7323#p7323 )?
> MMM... you test dota2? 
> "red screen" issue is texture compression library for Mesa bug 
> http://www.teamliquid.net/blogs/viewblog.php?topic_id=406196

"install the Texture compression library for Mesa"

It's in libtxc-dxtn (lib64txc-dxtn) package. Can you please check if it helps (maybe this library needs to be enabled with driconf after you install it, I'm not sure)?
Comment 14 Vladimir Potapov 2013-10-16 19:24:56 MSD
	
I too have found it! It's work!
Comment 15 Vladimir Potapov 2013-10-16 19:25:48 MSD
(In reply to comment #14)
> 	
> I too have found it! It's work!

Please, add the package in mesa stack.
Comment 16 Andrey Bondrov 2013-10-16 19:29:24 MSD
(In reply to comment #15)
> (In reply to comment #14)
> > 	
> > I too have found it! It's work!
> 
> Please, add the package in mesa stack.

It's protected by software patents and therefore we have it only in Restricted repository, so we cannot install this package by default. :-/

BTW, was it enough to just install this library? Or it had to be manually enabled?
Comment 17 Alexander Burmashev 2013-10-16 19:35:57 MSD
I agree, we can't provide restricted package as a base one.
What may be the solution:
1) Keep libtxc-dxtn in restricted, to avoid law issues.

2) Add it to suggests to mesa

In such case
 1) All iso images ( currently we build them with restricted ) are build with libtxc-dxtn
 2) All people who decide to have restricted enabled will also receive it

Does it seem to be a good solution ?
Comment 18 Vladimir Potapov 2013-10-16 19:58:38 MSD
3) We can add this package to the requirements for the steam?
Comment 19 Aleksandr Kazantcev 2013-10-16 20:02:11 MSD
No. All restricted packaga will be avoid on ISO and main/non-free package. I may only add Suggest for it.
Comment 20 Vladimir Potapov 2013-10-16 20:06:20 MSD
(In reply to comment #19)
> No. All restricted packaga will be avoid on ISO and main/non-free package. I
> may only add Suggest for it.

Ok, 2)
Comment 21 Aleksandr Kazantcev 2013-10-16 20:19:00 MSD
http://bugs.rosalinux.ru/show_bug.cgi?id=2903
Comment 22 Vladimir Potapov 2013-10-17 10:38:58 MSD
mesa-9.2.1-1-rosa2012.1
llvm-3.3-4-rosa2012.1
libwayland-server0-1.3.0-1-rosa2012.1
******************** Advisory ***********************
mesa: New version 9.2.1. It fixes many bugs and improves OpenGL support.
llvm: New version 3.3
Wayland: New version 1.3.0
*****************************************************
QA Verified